define({"0":{i:0.00352983193042018,u:"../Content/Part_Overview.htm",a:"Overview of Filter SDK This section provides an overview of the Micro Focus KeyView Filter SDK and describes how to use the  .NET  implementation of the API.",t:"Overview of Filter SDK"},"1":{i:0.00352983193042018,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",a:"Introducing Filter SDK This section describes the Filter SDK package. ",t:"Introducing Filter SDK"},"2":{i:0.00352983193042018,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",a:"Micro Focus KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 300 document types. It supports both file-based and ...",t:"Overview"},"3":{i:0.00352983193042018,u:"../Content/filter_shared/filtersdk_intro/Features.htm",a:"Document readers are threadsafe. The benefit of a threadsafe technology is that you can successfully extract text from hundreds of documents simultaneously. Documents are not queued for sequential filtering, but are actually filtered at the same time. Filter supports popular word processing, ...",t:"Features"},"4":{i:0.00352983193042018,u:"../Content/Shared/_KV_Platform.htm",a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software.",t:"Platforms, Compilers, and Dependencies"},"5":{i:0.00352983193042018,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",a:"CentOS 7 FreeBSD 8.1 x86 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit Mac OS X Mountain Lion 10.8 or higher on 32- and 64-bit Apple-Intel architecture Microsoft Windows Vista Business Edition x86 and x64. Other editions of Vista have not been tested, but are likely ...",t:"Supported Platforms"},"6":{i:0.00352983193042018,u:"../Content/Shared/_KV_Platform_Compilers.htm",a:"Supported Compilers Supported Compilers for Java Components Component Compiler Java components Java 1.5",t:"Supported Compilers"},"7":{i:0.00352983193042018,u:"../Content/Shared/_KV_Platform_Dependencies.htm",a:"Some KeyView components require  specific third-party software: Java Runtime Environment (JRE) or Java Software Developer Kit (JDK) version 1.5 is required for Java API and graphics conversion in Export SDK. Outlook 2002 or later is required to process Microsoft Outlook Personal Folders (PST) files ...",t:"Software Dependencies"},"8":{i:0.00352983193042018,u:"../Content/Shared/_KV_install_Windows.htm",a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ...",t:"Windows Installation"},"9":{i:0.00352983193042018,u:"../Content/Shared/_KV_install_UNIX.htm",a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ...",t:"UNIX Installation"},"10":{i:0.00352983193042018,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",a:"Package Contents The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files  that define the functions and structures used by the application to establish an interface with Filter:",t:"Package Contents"},"11":{i:0.0877441831120204,u:"../Content/Shared/_KV_License_Update.htm",a:"During installation, the installation program validates the organization name and license key that you enter, and generates the  install/OS/bin/kv.lic file, where  install is the directory in which you installed KeyView, and OS is the operating system. This file is opened and validated when the ...",t:"License Information"},"12":{i:0.00352983193042018,u:"../Content/filter_shared/filtersdk_intro/Directory_Structure.htm",a:"The following table describes the directories created during the Filter SDK installation. The variable  install is the path name of the Filter installation  directory (for example,  /usr/autonomy/KeyviewFilterSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewFilterSDK on Windows). The variable  OS is ...",t:"Directory Structure"},"13":{i:0.00352983193042018,u:"../Content/Chapter_GettingStarted.htm",a:"Getting Started This section provides an overview of Filter SDK, and describes how to use the  .NET  implementation of the API.",t:"Getting Started"},"14":{i:0.0065302274685082,u:"../Content/DotNET/gettingstarted/Architectural_Overview.htm",a:"Architectural Overview The general architecture of the KeyView Filter technology is the same across all supported platforms and is illustrated in the following diagram: Each component is described in the following table. ",t:"Architectural Overview"},"15":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Enhance_Performance.htm",a:"Enhance Performance KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve system performance according to your needs.",t:"Enhance Performance"},"16":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/File_Caching.htm",a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ...",t:"File Caching"},"17":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Filtering.htm",a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ...",t:"Filtering"},"18":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Sub_File_Extraction.htm",a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. Archive files (such as ZIP), mail messages with attachments (such as  Microsoft Outlook Express), mail stores ...",t:"Subfile Extraction"},"19":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Use_the_NET_Implementation.htm",a:"The .NET version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the namespace Autonomy.API.Filter contained in the file  FilterDotNet.dll. The library is in ...",t:"Use the .NET Implementation of the API"},"20":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Input_Output_Operations.htm",a:"In the Filter .NET  API , input and output can be either a physical file accessed through a file path, or a .NET  stream. Depending on the method signature you use, you can create the following filtering processes: filter an input file to output file filter an input file to an output stream filter ...",t:"Input/Output Operations"},"21":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Filter_in_File_or_Stream.htm",a:"To filter files using the methods in the Filter class Instantiate a Filter object using either the default constructor or the constructor that sets the output character set and filter flags: Use the default constructor Filter(). For example: objFilter = new Filter(); Use the constructor ...",t:"Filter in File or Stream Mode"},"22":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Multi_Threaded_Filtering.htm",a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ...",t:"Multithreaded Filtering"},"23":{i:0.00803042523755221,u:"../Content/DotNET/gettingstarted/The_Filter_Process_Model.htm",a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter  to run in the ...",t:"The Filter Process Model"},"24":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Persist_the_Child_Proces.htm",a:"By default, in out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. When the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive ...",t:"Persist the Child Process"},"25":{i:0.00564890750745053,u:"../Content/DotNET/gettingstarted/Run_Filter_In_Process.htm",a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, then Filter is run out of process. If the type of process is specified in the formats.ini and in ...",t:"Run Filter In Process"},"26":{i:0.0065302274685082,u:"../Content/DotNET/gettingstarted/Run_File_Extraction_Func.htm",a:"Run File  Extraction Functions Out of  Process The out-of-process setting specified when you create the Filter object or in the formats.ini is automatically propagated to the File Extraction API. When you extract subfiles from container files and pass the files for filtering out of process, Filter ...",t:"Run File Extraction Functions Out of Process"},"27":{i:0.0235269304342251,u:"../Content/DotNET/gettingstarted/Out_of_Process_Logging.htm",a:"Logging is available for out-of-process filtering. The kvoop server can now create a log file that captures information on the files being processed, storing one entry per process. The generated log file is called  xxxx_kvoop.log, where  xxxx is a unique number identifying the process.  In the rare ...",t:"Out-of-Process Logging"},"28":{i:0.00352983193042018,u:"../Content/DotNET/gettingstarted/Run_File_Detection_In_or.htm",a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, detection runs in out-of-process mode. If the type of process is specified in the ...",t:"Run File Detection In or Out of Process"},"29":{i:0.00352983193042018,u:"../Content/Part_UseSDK.htm",a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs.",t:"Use Filter SDK"},"30":{i:0.00566762381578848,u:"../Content/DotNET/xtract_api/xtract_api_dotnet.htm",a:"Use the File Extraction API This section describes how to extract subfiles from a container file using the File Extraction API. ",t:"Use the File Extraction API"},"31":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Introduction.htm",a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file. The following are ...",t:"Introduction"},"32":{i:0.0335254796861276,u:"../Content/DotNET/xtract_api/Extract_Sub_Files.htm",a:"To filter all files in a container file, you must open the container and extract its subfiles to either a file or a stream by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for filtering. After a subfile is extracted, you can ...",t:"Extract Subfiles"},"33":{i:0.00352983193042018,u:"../Content/_KV_xtract_sanitize_paths.htm",a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.ExtractGetSubFileInfo method. However, if ...",t:"Sanitize Absolute Paths"},"34":{i:0.00352983193042018,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",a:"You can use the File Extraction API  to extract images within the file by specifying the following in the formats.ini file: [Options]\nExtractImages=TRUE If you set this option, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where ...",t:"Extract Images"},"35":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Recreate_File_Hierar.htm",a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ...",t:"Recreate a File\u0027s Hierarchy"},"36":{i:0.00463974699358006,u:"../Content/DotNET/xtract_api/Create_a_Root_Node.htm",a:"Because of their structure, some container files do not contain a subfile or folder which acts as a root directory on which the hierarchy can be based. For example, subfiles in a Zip archive can be extracted, but none of the subfiles represent the root of the hierarchy. In this case, an artificial ...",t:"Create a Root Node"},"37":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Example.htm",a:"For example, you might extract a PST file that contains seven subfiles with a root node enabled. The call to ExtractGetMainFileInfo() returns the number of subfiles as 8 (seven subfiles and one root node). The following diagram shows the structure and the available hierarchy information after the ...",t:"Example"},"38":{i:0.0069884701876764,u:"../Content/DotNET/xtract_api/Extract_Mail_Metadata.htm",a:"Extract Mail Metadata You can extract metadata such as subject, sender, and recipient from MSG, EML, MBX, PST, and NSF files by calling the ExtractGetSubFileMetadata method. You can extract a predefined set of metadata fields and/or individual fields that are unique to a file format. ",t:"Extract Mail Metadata"},"39":{i:0.0065302274685082,u:"../Content/DotNET/xtract_api/Default_Metadata_Set.htm",a:"KeyView internally defines a set of common mail metadata fields that can be extracted as a group from mail formats. This default metadata set is listed in the following table. When you retrieve all metadata for a file—that is, pass NULL for the array of metadata—the complete set of default metadata, ...",t:"Default Metadata Set"},"40":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Outlook_MSG_metadata.htm",a:"In addition to the default metadata set, the metadata fields listed in the following table can be extracted for MSG files. The field name must be passed to metaNameArray in the call to the ExtractGetSubFileMetadata method. Extract MSG-Specific Metadata To extract specific metadata fields from an MSG ...",t:"Microsoft Outlook (MSG) Metadata"},"41":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Microsoft_Outlook_Expres.htm",a:"In addition to the default metadata set, you can extract any metadata field that exists in the header of an EML or MBX file by passing the field\u0027s name. If the name is a valid field in the file, the contents of the field are returned. For example, to retrieve the name of the last mail server that ...",t:"Microsoft Outlook Express (EML) and Mailbox (MBX) Metadata"},"42":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Lotus_Notes_NSF_metadata.htm",a:"In addition to the default metadata set, you can extract any Lotus field name that exists in an NSF file by passing the field\u0027s name. (You can extract fields from mail NSF files and non-mail NSF files.) If the name is a valid field in the file, the field is returned. For example, to retrieve the ...",t:"Lotus Notes Database (NSF) Metadata"},"43":{i:0.00908060393380537,u:"../Content/DotNET/xtract_api/Microsoft_Personal_Folde.htm",a:"In addition to the default metadata set, you can extract Messaging Application Programming Interface (MAPI) properties from a PST file. These properties describe elements (subject, sender, recipient, and so on) of Outlook items within the PST file. Since the properties are stored in the PST file ...",t:"Microsoft Personal Folders File (PST) Metadata"},"44":{i:0.0226421202221082,u:"../Content/DotNET/xtract_api/Exclude_Metadata_from_th.htm",a:"When a mail message is extracted, the message text and header information (To, From, Sent, and so on) is extracted to a text file. You can prevent the header information from appearing in the text file. To exclude the header information, call the ExcludeMailHeader property of the ...",t:"Exclude Metadata from the Extracted Text File"},"45":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Outlook.htm",a:"Extract  Subfiles from Outlook Files When an Outlook file (MSG) is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ...",t:"Extract Subfiles from Outlook Files"},"46":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_OutlookExpress.htm",a:"Extract Subfiles from Outlook  Express Files When an Outlook Express (EML) file is extracted to disk, its message text and header information (To, From, Sent, and so on) are extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from ...",t:"Extract Subfiles from Outlook Express Files"},"47":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_Mailbox.htm",a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ...",t:"Extract Subfiles from Mailbox Files"},"48":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PST.htm",a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ...",t:"Extract Subfiles from Outlook Personal Folders Files"},"49":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/MAPI_Attachment_Methods.htm",a:"The way in which you can access the contents of a PST message attachment is determined by the MAPI attachment method applied to the attachment. For example, if the attachment is an embedded OLE object, it uses the ATTACH_OLE attachment method. KeyView can access message attachments that use the ...",t:"MAPI Attachment Methods"},"50":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Open_Secured_PST_Files.htm",a:"Open Secured  PST Files KeyView enables you to specify credentials (user name and password), which are used to open a secured PST file for extraction. See  Password Protected Files  for more information.",t:"Open Secured PST Files"},"51":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Detect_PST_Files_While.htm",a:"If you are running an Outlook client while running the File Extraction API, the KeyView format detection module (kwad) might not be able to open the PST file to determine the file\u0027s format because Outlook has the file locked. In this case, you can do one of the following:  Close Outlook when using ...",t:"Detect PST Files While the Outlook Client is Running"},"52":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_LotusDomino.htm",a:"Extract  Subfiles from Lotus Domino XML Language Files When a Lotus Domino XML Language (.DXL) file is extracted, its message text and header information (To, From, Sent, and so on) are extracted to a text file. To prevent header information from being extracted, see  Exclude Metadata from the ...",t:"Extract Subfiles from Lotus Domino XML Language Files"},"53":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_NSF.htm",a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ...",t:"Extract Subfiles from Lotus Notes Database Files"},"54":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/System_Requirements.htm",a:"The NSF format is proprietary. Therefore, KeyView accesses NSF files indirectly using the Lotus Notes API. Since the NSF reader relies on functionality in Lotus Notes, a Lotus Notes client or Lotus Domino server must be installed and configured on the same machine on which the application filtering ...",t:"System Requirements"},"55":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Installation_and_Configu.htm",a:"Before KeyView can filter NSF files, you must set up the Lotus Notes client or Lotus Domino server. Full configuration is not required. The following steps outline the minimal setup for NSF filtering. Windows Install the Lotus Notes client or Lotus Domino server. You do not need to configure the ...",t:"Installation and Configuration"},"56":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Open_Secured_NSF_Files.htm",a:"Open  Secured NSF Files KeyView enables you to specify credentials (user ID file and password), which are used to open a secured NSF file for extraction. See  Password Protected Files  for more information.",t:"Open Secured NSF Files"},"57":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Format_Note_Sub_Files.htm",a:"Format Note Subfiles The KeyView NSF reader uses XML templates to format note sub-files. You can customize the templates as required to approximate the look and feel of the original notes as closely as possible. For more information, see  Extract and Format Lotus Notes Subfiles .",t:"Format Note Subfiles"},"58":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_PDF.htm",a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ...",t:"Extract Subfiles from PDF Files"},"59":{i:0.00352983193042018,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ...",t:"Improve Performance for PDFs with Many Small Images"},"60":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_Embedded_OLE.htm",a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Microsoft Excel Microsoft Word  Microsoft PowerPoint Microsoft Outlook Microsoft Visio Rich Text Format (RTF) When an embedded OLE object is extracted from its parent file, the location where the ...",t:"Extract Embedded OLE Objects"},"61":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Extract_SubFiles_ZIP.htm",a:"Extract Subfiles  from ZIP Files ZIP files that are not password-protected can be extracted using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials. See  Password Protected ...",t:"Extract Subfiles from ZIP Files"},"62":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Default_Filenames_for_Ex.htm",a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to ExtractSubFile, in some cases, a default file name is applied to the extracted subfile.",t:"Default File Names for Extracted Subfiles"},"63":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Default_Filename_for_Mai.htm",a:"To avoid naming conflicts and problems with long file names, KeyView applies its own names to the extracted mail folders and mail items when a name is not supplied in the call to ExtractSubFile. A non-mail attachment retains its original file name and extension. When the contents of a mail store or ...",t:"Default File Name for Mail Formats"},"64":{i:0.00352983193042018,u:"../Content/DotNET/xtract_api/Default_Filename_OLE.htm",a:"KeyView can apply a default name to an extracted  embedded OLE object when a name is not supplied in the call to ExtractSubFile. When an embedded OLE object is extracted, the extracted file name might include the following: The first valid eight characters of the main file. The following special ...",t:"Default File Name for Embedded OLE Objects"},"65":{i:0.00491752493126648,u:"../Content/Chapter_UseFilterAPI.htm",a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API.",t:"Use the Filter API"},"66":{i:0.010355792166454,u:"../Content/DotNET/filter_api/Generate_an_Error_Log.htm",a:"You can monitor and debug filtering operations by enabling a detailed error log. This allows you to see errors that are generated at run time and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The error log might include the ...",t:"Generate an Error Log"},"67":{i:0.00600608666259243,u:"../Content/DotNET/filter_api/Enable_or_Disable_Error_.htm",a:"Enable or Disable Error  Logging You can enable or disable error logging using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Change the Path and File Name of ...",t:"Enable or Disable Error Logging"},"68":{i:0.0101021800429407,u:"../Content/DotNET/filter_api/Change_the_Path_and_File.htm",a:"You can change the default path and file name of the log file. The default is C:\\temp\\kvoop.log on Windows and /tmp/kvoop.log on UNIX.  To change the path and file name of the log file, add the following to the formats.ini file: [kvooplog]\nKvoopLogName=filepath The formats.ini file is in the ...",t:"Change the Path and File Name of the Log File"},"69":{i:0.00499692614872196,u:"../Content/DotNET/filter_api/Report_Memory_Errors.htm",a:"You can report memory leaks and  memory overwrites in the log file by enabling the  memory trace system, either by using the API or environment variables. If the memory trace system is enabled, the error messages for memory leaks and memory overwrites (KVError_MemoryLeak and KVError_MemoryOverwrite, ...",t:"Report Memory Errors"},"70":{i:0.0092443765803612,u:"../Content/DotNET/filter_api/Specify_a_Memory_Guard.htm",a:"To report memory overwrites in the log file, you must set a  memory guard that protects against memory overwrites. Normally, this is set in the range of 100-200 bytes. For example, if a memory guard of 100 is set and 20 bytes of memory are specified, a total of 120 bytes of memory are allocated. The ...",t:"Specify a Memory Guard"},"71":{i:0.00499692614872196,u:"../Content/DotNET/filter_api/Report_the_Filename_in_S.htm",a:"When you run Filter in file mode the file name is always reported in the log file. To report the file name in stream mode, you must extract it through the API.  To add the input file name to the log Create an instance of ConfigOption with the following properties: Set the  ConfigOptionType to  ...",t:"Report the File Name in Stream Mode"},"72":{i:0.00499692614872196,u:"../Content/DotNET/filter_api/Specify_the_Maximum_Size.htm",a:"You can specify the maximum size of the log file. When this size is reached and new entries are logged, either the first entry in the file is overwritten or the new entries are not reported.  To configure the maximum log size and whether old entries are overwritten, add the following section to the ...",t:"Specify the Maximum Size of the Log File"},"73":{i:0.00828948686690068,u:"../Content/DotNET/filter_api/Extract_Metadata.htm",a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ...",t:"Extract Metadata"},"74":{i:0.00352983193042018,u:"../Content/DotNET/filter_api/Extract_Metadata_for_Fil.htm",a:"Extract Metadata for  File Filtering To extract metadata for file filtering Optionally, set the input source using the SetInputSource(String inFile) method of the Filter object.  If the input source was set in step 1, call the GetSummaryInfo() method of the Filter object to retrieve an object of the ...",t:"Extract Metadata for File Filtering"},});